Bug 1121886 - ClassNotFoundException(org.apache.log4j.Priority) thrown when Document field added to the form
Summary: ClassNotFoundException(org.apache.log4j.Priority) thrown when Document field ...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Form Modeler
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: DR2
: 6.1.0
Assignee: Pere Fernàndez
QA Contact: Andy Taylor
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 06:38 UTC by Jan Hrcek
Modified: 2019-02-28 22:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
6.1.0.DR1
Last Closed:
Type: Bug


Attachments (Terms of Use)
server.log showing the exception (search for ClassNotFoundException) (263.46 KB, text/x-log)
2014-07-22 06:38 UTC, Jan Hrcek
no flags Details

Description Jan Hrcek 2014-07-22 06:38:44 UTC
Created attachment 919812 [details]
server.log showing the exception (search for ClassNotFoundException)

Description of problem:
Exception is thrown when document field is added to a form in form modeler. After that, the modeler is unusable.

Version-Release number of selected component (if applicable):
BPMS 6.1 DR1 deployed on EAP 6.3 Beta

How reproducible:
Always

Steps to Reproduce:
1. In business-central go authoring perspective and create new form
2. in form modeler go to Add fields by type
3. Add a field of type Document

Actual results:
Exception appears in server log (see attachment for full stack trace).
Form modeler iframe becomes blank and unusable;
The exception is: 
08:32:19,053 ERROR [org.apache.catalina.core.ContainerBase.[jboss.web].[default-host].[/business-central].[jsp]] (http-localhost/127.0.0.1:8080-4) JBWEB000236: Servlet.service() for servlet jsp threw exception: java.lang.ClassNotFoundException: org.apache.log4j.Priority from [Module "org.freemarker:main" from local module loader @70fc1f2c (finder: local module finder @3862bba7 (roots: /home/jhrcek/Servers/DR1/modules,/home/jhrcek/Servers/DR1/modules/system/layers/bpms,/home/jhrcek/Servers/DR1/modules/system/layers/base))]


Expected results:
It should be possible to add Document field to the form.

Comment 1 Jan Hrcek 2014-07-22 06:54:15 UTC
Also tried with latest EAP 6.3 ER10 and the problem is the same.

Comment 2 Pere Fernàndez 2014-07-22 13:48:12 UTC
It seems a problem with the modules.

Comment 3 Jeremy Lindop 2014-07-22 14:52:51 UTC
Fixed by adding a static dependency on org.apache.log4j in the freemarker module pom.xml in kie-wb-distributions.

Comment 5 Jan Hrcek 2014-09-08 07:32:49 UTC
Ok, problem fixed in BPMS 6.1.0 DR2.


Note You need to log in before you can comment on or make changes to this bug.